<?php declare(strict_types=1);

namespace Diamond\Application\Mailing;

abstract class RecipientsHandlerAbstract
{

    public function getDataFromEmail(string $email): array
    {
        return [];
    }

    public function getVariables(): array
    {
        //базовые настройки переменных
        return [
            'site' => 'адрес сайта',
            'email' => 'элетронная почта',
            'signature' => 'подпись отправителя',
            'copyright' => 'копирайт',
            'date_short' => 'короткая дата',
            'date' => 'дата',
        ];
    }

}